#include "ColorCubeMapRenderTechnique.h"


ColorCubeMapRenderTechnique::ColorCubeMapRenderTechnique(unsigned long startFrame,
															unsigned long cubeMapUpdateInterval,
															unsigned int cubeMapResolution,
															bool useDistCalc,
															bool useFaceAngleCalc,
															float distTolerance,
															float angleTolerance,
															bool updateAllFace,
															bool renderSelf,
															ElementaryRenderable* parentRenderable,
															TechniqueGroup* parentTechniqueGroup)

															:CubeMapRenderTechnique( startFrame, cubeMapUpdateInterval, cubeMapResolution,
																					useDistCalc, useFaceAngleCalc, distTolerance, angleTolerance,
																					updateAllFace, renderSelf,
																					parentRenderable, parentTechniqueGroup),
														     RenderTechnique(parentRenderable, parentTechniqueGroup)
{
	
}

ColorCubeMapRenderTechnique::~ColorCubeMapRenderTechnique()
{

}

void ColorCubeMapRenderTechnique::runChanged(RenderingRunType runType, RenderingRun* run)
{
	if(runType == ILLUMRUN_COLOR_CUBEMAP)
		colorCubeMapRunChanged(run);
}

 void ColorCubeMapRenderTechnique::update(unsigned long frameNum)
{	
		sharedRuns->updateRun(ILLUMRUN_COLOR_CUBEMAP, frameNum);	
}
