#include "CubeMapRenderTechnique.h"


CubeMapRenderTechnique::CubeMapRenderTechnique(unsigned long startFrame,
												unsigned long cubeMapUpdateInterval,
												unsigned int cubeMapResolution,
												bool useDistCalc,
												bool useFaceAngleCalc,
												float distTolerance,
												float angleTolerance,
												bool updateAllFace,
												bool renderSelf,
												ElementaryRenderable* parentRenderable,
												TechniqueGroup* parentTechniqueGroup)
							:RenderTechnique( parentRenderable, parentTechniqueGroup)
{
	this->useDistCalc = useDistCalc;
	this->useFaceAngleCalc = useFaceAngleCalc;
	this->distTolerance = distTolerance;
	this->angleTolerance = angleTolerance;	
	this->cubeMapUpdateInterval = cubeMapUpdateInterval;
	this->cubeMapResolution = cubeMapResolution;
	this->startFrame = startFrame;
	this->updateAllFace = updateAllFace;	
	this->renderSelf = renderSelf;	
}

CubeMapRenderTechnique::~CubeMapRenderTechnique()
{

}
